Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.util
Class SWTControl

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
          org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl

All Implemented Interfaces:
  ECPControlSWT

Direct Known Subclasses:
  MultiControl, SingleControl, TableControl

Deprecated.

    @Deprecated
    public abstract class SWTControl

extends ECPAbstractControl
implements ECPControlSWT

This class defines a SWTCOntrol which is an abstract class defining an `ECPAbstractControl` for SWT.

Author:
  Eugen Neufeld

Constructor Summary
`SWTControl()` Deprecated.

Method Summary
`org.eclipse.swt.widgets.Composite` | `createControl(org.eclipse.swt.widgets.Composite parent)` Deprecated. This method is called to render the control on a parent.
`List<RenderingResultRow<org.eclipse.swt.widgets.Control>>` | `createControls(org.eclipse.swt.widgets.Composite parent)` Deprecated. Renders a control on the provided parent and returning a list of `RenderingResultRows`.
`void` | `dispose()` Deprecated. Disposes the control.
`void` | `setObservableValue(org.eclipse.core.databinding.observable.value.IObservableValue modelValue)` Deprecated. Allows the user to set the `IObservableValue` to use in the control during databinding.

Methods inherited from class org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
`getDataBindingContext, getFirstSetting, getFirstStructuralFeature, getItemPropertyDescriptor, handleValidation, init, resetValidation, setEditable, setEmbedded, showLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWTControl

    public SWTControl()

  Deprecated.

Method Detail

### createControls

    public List<RenderingResultRow<org.eclipse.swt.widgets.Control>> createControls(org.eclipse.swt.widgets.Composite parent)

  Deprecated.
  Renders a control on the provided parent and returning a list of `RenderingResultRows`.

  Specified by:
    `createControls` in interface `ECPControlSWT`
  Parameters:
    `parent` - the `Composite` to render onto
  Returns:
    the list of `RenderingResultRows`
  See Also:
    `ECPControlSWT.createControls(org.eclipse.swt.widgets.Composite)`

### createControl

    public org.eclipse.swt.widgets.Composite createControl(org.eclipse.swt.widgets.Composite parent)

  Deprecated.
  This method is called to render the control on a parent.

  Parameters:
    `parent` - the `Composite` which is the parent
  Returns:
    the created `Composite`

### setObservableValue

    public void setObservableValue(org.eclipse.core.databinding.observable.value.IObservableValue modelValue)

  Deprecated.
  Allows the user to set the `IObservableValue` to use in the control during databinding.

  Parameters:
    `modelValue` - the set `IObservableValue`

### dispose

    public void dispose()

  Deprecated.
  Description copied from class: `ECPAbstractControl`
  Disposes the control. A control which needs specific dispose handling must still call super.dispose.

  Overrides:
    `dispose` in class `ECPAbstractControl`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.